  #editorWrapper {
      position: relative;
  }


  #toolEditor {
      padding: 19px;
      min-height: 400px;
      /* border: 1px solid #ccc; */
      outline: none;
      white-space: pre-wrap;
      border-radius: 4px;
      box-shadow: 0px 0px 3px 0px #9ec0f1;
      background: #fcfcff;
      line-break: anywhere;
      max-height: 400px;
      overflow-y: auto;
      overflow-x: hidden;
  }

  /* Placeholder for contenteditable */
  #toolEditor:empty::before {
      content: "Enter your text";
      color: #999;
  }

  #toolBtn {
      position: absolute;
      top: 10px;
      right: 10px;
      padding: 6px 14px;
      border: 1px solid gray;
      background: #fff;
      border-radius: 4px;
      color: black;
      cursor: pointer;

  }

  #toolBtnCopy {
      position: absolute;
      right: 10px;
      bottom: 10px;
      padding: 6px 14px;
      border: 1px solid gray;
      background: #fff;
      border-radius: 4px;
      display: none;
      color: black;
      cursor: pointer;

  }

  #toolBtn:hover {
      background: var(--primary-color);
      color: #fff;
      border: none;
  }

  .toolEditorsHolder {
      display: flex;
      gap: 20px;
      align-items: flex-start;
  }

  #editorWrapper {
      flex: 3;
      position: relative;
  }


  .editorResult {
      flex: 1;
      min-width: 200px;
      background: lightgoldenrodyellow;
      border-radius: 4px;
      text-align: left;
      padding: 17px;
      transition: background-color 0.3s ease;
      box-shadow: 0px 0px 3px 0px #ced5e0;
  }



  /* highlight animation */
  .editorResult.highlight {
      animation: resultFlash 0.6s ease;
  }

  .resultHeading {
      font-weight: 700;
      font-size: 1.3rem;
      font-family: 'Poppins_bold', Arial, Helvetica, sans-serif;
  }

  @keyframes resultFlash {
      0% {
          background-color: rgba(0, 150, 255, 0.15);
      }

      100% {
          background-color: transparent;
      }
  }

  @media (max-width: 768px) {

      .toolEditorsHolder {
          flex-direction: column;
          gap: 15px;
      }

      #editorWrapper {
          width: 100%;
      }

      #toolEditor {
          min-height: 200px;
          font-size: 16px;
          overflow-y: auto;
          overflow-x: hidden;
      }



      .editorResult {
          width: 100%;

          padding-top: 10px;
          width: -webkit-fill-available;
      }

      .editorResult p {
          font-size: 15px;
          margin: 6px 0;
      }
  }